// =================================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// =================================================================================

package model

import (
	"github.com/gogf/gf/os/gtime"
)

// BobocoinDeductRecord is the golang structure for table bobocoin_deduct_record.
type BobocoinDeductRecord struct {
	RecordId       uint64      `orm:"record_id,primary" json:"record_id"`       // 扣费记录ID
	TalentId       int         `orm:"talent_id"         json:"talent_id"`       // 达人id
	BobocoinValue  int64       `orm:"bobocoin_value"    json:"bobocoin_value"`  // 冻结的卜卜币数量(真实数量 * 100)
	OrderId        uint64      `orm:"order_id"          json:"order_id"`        // 订单id，如果是订单执行产生的扣费，则有值
	ProcedureStage int         `orm:"procedure_stage"   json:"procedure_stage"` // 订单的执行步骤，如果是订单产生的扣费，则有此值
	Reason         int         `orm:"reason"            json:"reason"`          // 扣费原因 1任务超期冻结 2拍单费用 3延期发放
	CreatedAt      *gtime.Time `orm:"created_at"        json:"created_at"`      // 创建时间
	OperationStage string      `orm:"operation_stage"   json:"operation_stage"` // 扣款步骤名称
	TaskName       string      `orm:"task_name"         json:"task_name"`       // 任务名称(冗余)
}

// BobocoinIncomeRecord is the golang structure for table bobocoin_income_record.
type BobocoinIncomeRecord struct {
	RecordId       uint64      `orm:"record_id,primary" json:"record_id"`        // 记录id，主键，自增
	BobocoinValue  int64       `orm:"bobocoin_value"    json:"bobocoin_value"`   // 收入的卜卜币数量
	OrderId        int         `orm:"order_id"          json:"order_id"`         // 获得卜卜币的订单id
	RecruitLevelId int         `orm:"recruit_level_id"  json:"recruit_level_id"` // 获得卜卜币的任务的招募级别
	TalentId       int         `orm:"talent_id"         json:"talent_id"`        // 达人id
	CompleteDate   *gtime.Time `orm:"complete_date"     json:"complete_date"`    // 添加时间(订单完成时间，需要和bobocoin_withdrawal_record表中的打款完成时间字段名一致，因为要以时间排序
	TaskName       string      `orm:"task_name"         json:"task_name"`        // 任务名称(冗余)
}

// BobocoinWithdrawalRecord is the golang structure for table bobocoin_withdrawal_record.
type BobocoinWithdrawalRecord struct {
	RecordId      int64       `orm:"record_id,primary" json:"record_id"`       // 提现单号
	TalentId      int         `orm:"talent_id"         json:"talent_id"`       // 发起提现的达人id
	SubmitDate    *gtime.Time `orm:"submit_date"       json:"submit_date"`     // 提交时间
	DrawAmount    int64       `orm:"draw_amount"       json:"draw_amount"`     // 提现金额
	PayState      int         `orm:"pay_state"         json:"pay_state"`       // 支付状态 1未支付 2支付成功 3支付失败
	PayFailReason string      `orm:"pay_fail_reason"   json:"pay_fail_reason"` // 支付失败原因
	CompleteDate  *gtime.Time `orm:"complete_date"     json:"complete_date"`   // 打款时间
	PayPlatform   int         `orm:"pay_platform"      json:"pay_platform"`    // 支付平台，如支付宝
	PayAccount    string      `orm:"pay_account"       json:"pay_account"`     // 支付账户
	AccountName   string      `orm:"account_name"      json:"account_name"`    // 账户姓名
}

// Brand is the golang structure for table brand.
type Brand struct {
	BrandId      int         `orm:"brand_id,primary" json:"brand_id"`      // 品牌信息id
	BrandName    string      `orm:"brand_name"       json:"brand_name"`    // 品牌名称
	BrandLogo    string      `orm:"brand_logo"       json:"brand_logo"`    // 品牌logo链接地址
	BrandInfo    string      `orm:"brand_info"       json:"brand_info"`    // 品牌信息简介
	BrandPerson  string      `orm:"brand_person"     json:"brand_person"`  // 品牌对接人
	BrandContact string      `orm:"brand_contact"    json:"brand_contact"` // 品牌对接人联系方式
	BrandTitle   string      `orm:"brand_title"      json:"brand_title"`   // 品牌对接人职称
	CreatedAt    *gtime.Time `orm:"created_at"       json:"created_at"`    // 创建时间
	CreatPeople  string      `orm:"creat_people"     json:"creat_people"`  // 创建人
	UpdatedAt    *gtime.Time `orm:"updated_at"       json:"updated_at"`    // 更新时间
	UpdatePeople string      `orm:"update_people"    json:"update_people"` // 更新人
}

// Enterprise is the golang structure for table enterprise.
type Enterprise struct {
	EnterpriseId     int         `orm:"enterprise_id,primary" json:"enterprise_id"`     // 企业id
	Industry         int         `orm:"industry"              json:"industry"`          // 行业，1-14分别代表能源、化工、材料、机械设备/军工、企业服务/造纸印刷、运输设备、旅游酒店、媒体/信息通信服务、批发/零售、消费品、卫生保健/医疗、金融、建材/建筑/房地产、公共事业
	BusinessName     string      `orm:"business_name"         json:"business_name"`     // 公司或组织名称
	UserId           int         `orm:"user_id,unique"        json:"user_id"`           // 对应用户id
	Balance          int         `orm:"balance"               json:"balance"`           // 账户余额
	FrozenBalance    int         `orm:"frozen_balance"        json:"frozen_balance"`    // 冻结余额
	AvailableBalance int         `orm:"available_balance"     json:"available_balance"` // 可用余额
	CreatedAt        *gtime.Time `orm:"created_at"            json:"created_at"`        // 创建时间
	UpdatedAt        *gtime.Time `orm:"updated_at"            json:"updated_at"`        // 更新时间
}

// InfoProductClassify is the golang structure for table info_product_classify.
type InfoProductClassify struct {
	ClassifyId int    `orm:"classify_id,primary" json:"classify_id"` // 分类id
	Classify   string `orm:"classify"            json:"classify"`    // 分类名
}

// InfoRegion is the golang structure for table info_region.
type InfoRegion struct {
	RegionId    uint   `orm:"region_id,primary" json:"region_id"`    //
	SelfCode    uint   `orm:"self_code"         json:"self_code"`    //
	RegionLevel int    `orm:"region_level"      json:"region_level"` //
	ParentCode  uint   `orm:"parent_code"       json:"parent_code"`  //
	RegionName  string `orm:"region_name"       json:"region_name"`  //
}

// InfoTalentAgeBracket is the golang structure for table info_talent_age_bracket.
type InfoTalentAgeBracket struct {
	AgeAid             int    `orm:"age_aid,primary"      json:"age_aid"`              //
	AgeBracketDiscribe string `orm:"age_bracket_discribe" json:"age_bracket_discribe"` //
}

// InfoTalentSkilledArea is the golang structure for table info_talent_skilled_area.
type InfoTalentSkilledArea struct {
	SkilledId    int    `orm:"skilled_id,primary" json:"skilled_id"`    //
	SkilledAreas string `orm:"skilled_areas"      json:"skilled_areas"` // 擅长领域
}

// InfoTalentSkinType is the golang structure for table info_talent_skin_type.
type InfoTalentSkinType struct {
	SkinId           int    `orm:"skin_id,primary"    json:"skin_id"`            //
	SkinTypeDescribe string `orm:"skin_type_describe" json:"skin_type_describe"` //
}

// InfoThirdPlatform is the golang structure for table info_third_platform.
type InfoThirdPlatform struct {
	PlatformId        uint   `orm:"platform_id,primary" json:"platform_id"`         // 平台id，主键
	PlatformName      string `orm:"platform_name"       json:"platform_name"`       // 平台名
	PlatformIcon      string `orm:"platform_icon"       json:"platform_icon"`       // 平台图标url
	PlatformTableName string `orm:"platform_table_name" json:"platform_table_name"` // 平台数据表表名
}

// OrderAnswer is the golang structure for table order_answer.
type OrderAnswer struct {
	TraId                int64  `orm:"tra_id,primary"         json:"tra_id"`                 //
	OrderId              int64  `orm:"order_id"               json:"order_id"`               // 报名信息(order_info)id
	AdditionalQuestionId int    `orm:"additional_question_id" json:"additional_question_id"` // task_require_additional_tallent_info表中的id，即问题
	QuestionAnswer       string `orm:"question_answer"        json:"question_answer"`        // 问题答案，单选或多选为选项的id，问题为输入框时则为文本，为图片上传时则为上传后的图片url
}

// OrderArticleReview is the golang structure for table order_article_review.
type OrderArticleReview struct {
	OrderArticleId int         `orm:"order_article_id,primary" json:"order_article_id"` // 作品审核id
	OrderId        int64       `orm:"order_id,unique"          json:"order_id"`         // 订单id(order_info)id
	ArticleLink    string      `orm:"article_link"             json:"article_link"`     // 作品链接列表
	AuditStatus    int         `orm:"audit_status"             json:"audit_status"`     // 审核状态 1待审核 2审核通过 3审核驳回
	AuditOpinion   string      `orm:"audit_opinion"            json:"audit_opinion"`    // 作品审核意见
	CreatedAt      *gtime.Time `orm:"created_at"               json:"created_at"`       // 创建时间(发货时间)
	ConfirmTime    *gtime.Time `orm:"confirm_time"             json:"confirm_time"`     // 确认收获时间
}

// OrderDataReview is the golang structure for table order_data_review.
type OrderDataReview struct {
	DataQualityId int         `orm:"data_quality_id,primary" json:"data_quality_id"` // 数据质检id
	OrderId       int64       `orm:"order_id,unique"         json:"order_id"`        // 报名信息(order_info)id
	LikeNumber    int         `orm:"like_number"             json:"like_number"`     // 点赞数
	LittleEye     int         `orm:"little_eye"              json:"little_eye"`      // 小眼睛
	CommitNum     int         `orm:"commit_num"              json:"commit_num"`      // 评论数
	CollectNum    int         `orm:"collect_num"             json:"collect_num"`     // 收藏数
	DataLink      string      `orm:"data_link"               json:"data_link"`       // 数据截图列表
	AuditStatus   int         `orm:"audit_status"            json:"audit_status"`    // 审核状态 1待审核 2审核通过 3审核失败
	AuditOpinion  string      `orm:"audit_opinion"           json:"audit_opinion"`   // 数据质检审核意见
	CreatedAt     *gtime.Time `orm:"created_at"              json:"created_at"`      // 创建时间(发货时间)
	ConfirmTime   *gtime.Time `orm:"confirm_time"            json:"confirm_time"`    // 确认收获时间
}

// OrderDeliveryInfo is the golang structure for table order_delivery_info.
type OrderDeliveryInfo struct {
	OrderDeliveryId  int         `orm:"order_delivery_id,primary" json:"order_delivery_id"` // 执行补充信息
	OrderId          int64       `orm:"order_id,unique"           json:"order_id"`          // 订单id
	OrderAddressee   string      `orm:"order_addressee"           json:"order_addressee"`   // 收货人
	OrderPhone       string      `orm:"order_phone"               json:"order_phone"`       // 订单所填手机号
	RegionCode       int         `orm:"region_code"               json:"region_code"`       // 区域码
	OrderAddress     string      `orm:"order_address"             json:"order_address"`     // 订单地址
	LogisticsCompany string      `orm:"logistics_company"         json:"logistics_company"` // 物流公司
	TrackingNum      string      `orm:"tracking_num"              json:"tracking_num"`      // 物流单号
	CreatedAt        *gtime.Time `orm:"created_at"                json:"created_at"`        // 创建时间
	ConfirmTime      *gtime.Time `orm:"confirm_time"              json:"confirm_time"`      // 确认收获时间
	DeliveryTime     *gtime.Time `orm:"delivery_time"             json:"delivery_time"`     // 发货时间
	DeliveryStatus   int         `orm:"delivery_status"           json:"delivery_status"`   // 发货状态   1是未发货，2是已发货 3已收货
}

// OrderDraftReview is the golang structure for table order_draft_review.
type OrderDraftReview struct {
	OrderDraftId int         `orm:"order_draft_id,primary" json:"order_draft_id"` // 初稿审核id
	OrderId      int         `orm:"order_id,unique"        json:"order_id"`       // 订单id
	OnlineLink   string      `orm:"online_link"            json:"online_link"`    // 在线链接
	AuditStatus  int         `orm:"audit_status"           json:"audit_status"`   // 审核状态 1待审核 2审核通过 3审核驳回
	AuditOpinion string      `orm:"audit_opinion"          json:"audit_opinion"`  // 审核意见
	CreatedAt    *gtime.Time `orm:"created_at"             json:"created_at"`     // 创建时间
	ConfirmTime  *gtime.Time `orm:"confirm_time"           json:"confirm_time"`   // 初稿通过时间
}

// OrderInfo is the golang structure for table order_info.
type OrderInfo struct {
	OrderId                uint64      `orm:"order_id,primary"          json:"order_id"`                  //
	TaskId                 int         `orm:"task_id"                   json:"task_id"`                   // 任务id
	TaskName               string      `orm:"task_name"                 json:"task_name"`                 // 任务名称(冗余)
	TaskBrandName          string      `orm:"task_brand_name"           json:"task_brand_name"`           // 品牌名称(冗余)
	ProductName            string      `orm:"product_name"              json:"product_name"`              // 商品名称(冗余)
	ProductMainImg         string      `orm:"product_main_img"          json:"product_main_img"`          // 商品主图url(冗余)
	TalentId               int         `orm:"talent_id"                 json:"talent_id"`                 // 达人id
	TalentPlatformInfoSnap string      `orm:"talent_platform_info_snap" json:"talent_platform_info_snap"` // 达人平台信息快照
	TalentPersonalInfoSnap string      `orm:"talent_personal_info_snap" json:"talent_personal_info_snap"` // 达人个人信息快照
	TalentPostAddrSnap     string      `orm:"talent_post_addr_snap"     json:"talent_post_addr_snap"`     // 收货地址快照
	TaskLevelId            int         `orm:"task_level_id"             json:"task_level_id"`             // 报名选择的招募等级id(task_recruit_talent_level表中的id)
	SettleAmount           int64       `orm:"settle_amount"             json:"settle_amount"`             // 待结算金额
	ProdSpecificationId    int         `orm:"prod_specification_id"     json:"prod_specification_id"`     // 商品规格列表的索引
	ProdNote               string      `orm:"prod_note"                 json:"prod_note"`                 // 商品备注
	OrderStatus            int         `orm:"order_status"              json:"order_status"`              // 订单状态
	CreateDate             *gtime.Time `orm:"create_date"               json:"create_date"`               // 创建时间
	SelectDate             *gtime.Time `orm:"select_date"               json:"select_date"`               // 反选时间
	PartnerWay             string      `orm:"partner_way"               json:"partner_way"`               // 合作方式
	CompleteStatus         int         `orm:"complete_status"           json:"complete_status"`           // 结束方式 1未结束 2正常结束 3反选失败 4达人取消
	CompleteDate           *gtime.Time `orm:"complete_date"             json:"complete_date"`             // 结束时间
}

// OrderLinkQuality is the golang structure for table order_link_quality.
type OrderLinkQuality struct {
	LinkQualityId int         `orm:"link_quality_id,primary" json:"link_quality_id"` // 链接质检id
	OrderId       int64       `orm:"order_id,unique"         json:"order_id"`        // 报名信息(order_info)id
	PostLink      string      `orm:"post_link"               json:"post_link"`       // 发布链接
	PhotoLink     string      `orm:"photo_link"              json:"photo_link"`      // 图片链接
	AuditStatus   int         `orm:"audit_status"            json:"audit_status"`    // 审核状态 1待审核 2审核成功 3审核失败
	AuditOpinion  string      `orm:"audit_opinion"           json:"audit_opinion"`   // 审核意见
	CreatedAt     *gtime.Time `orm:"created_at"              json:"created_at"`      // 创建时间(发货时间)
	ConfirmTime   *gtime.Time `orm:"confirm_time"            json:"confirm_time"`    // 确认收获时间
}

// OrderStatusRecord is the golang structure for table order_status_record.
type OrderStatusRecord struct {
	OrderStatusId int         `orm:"order_status_id,primary" json:"order_status_id"` // 订单状态记录表id
	OrderId       int         `orm:"order_id"                json:"order_id"`        // 对应订单的id
	AlterBefore   int         `orm:"alter_before"            json:"alter_before"`    // 修改订单前状态
	AlterAfter    int         `orm:"alter_after"             json:"alter_after"`     // 修改订单后状态
	RoleTag       int         `orm:"role_tag"                json:"role_tag"`        // 身份标记 1后台管理员 2达人
	RecordId      int         `orm:"record_id"               json:"record_id"`       // 操作员工账号
	RecordName    string      `orm:"record_name"             json:"record_name"`     // 操作员工姓名
	CreatedAt     *gtime.Time `orm:"created_at"              json:"created_at"`      // 创建时间
}

// PlatformBilibiliAccountInfo is the golang structure for table platform_bilibili_account_info.
type PlatformBilibiliAccountInfo struct {
	BilibiliId         int         `orm:"bilibili_id,primary"   json:"bilibili_id"`           //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	GotLikeCount       int64       `orm:"got_like_count"        json:"got_like_count"`        // 点赞数
	SkilledAt          string      `orm:"skilled_at"            json:"skilled_at"`            // 擅长领域(info_tallent_skilled_area表中的id的数组)
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图链接
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformDianpingAccountInfo is the golang structure for table platform_dianping_account_info.
type PlatformDianpingAccountInfo struct {
	DianpingId         int         `orm:"dianping_id,primary"   json:"dianping_id"`           //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	GotLikeCount       int64       `orm:"got_like_count"        json:"got_like_count"`        // 点赞数
	MembershipLevel    int         `orm:"membership_level"      json:"membership_level"`      // 会员等级
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图图片url
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	ExamineStatus      int         `orm:"examine_status"        json:"examine_status"`        // 审核状态 1待审核 2审核通过 3审核失败
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformKuaishouAccountInfo is the golang structure for table platform_kuaishou_account_info.
type PlatformKuaishouAccountInfo struct {
	KuaishouId         int         `orm:"kuaishou_id,primary"   json:"kuaishou_id"`           //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	CompositionCount   int64       `orm:"composition_count"     json:"composition_count"`     // 作品数量
	SkilledAt          string      `orm:"skilled_at"            json:"skilled_at"`            // 擅长领域(info_tallent_skilled_area表中的id的数组)
	IsSupportLive      int         `orm:"is_support_live"       json:"is_support_live"`       // 是否支持直播
	IsOpenCart         int         `orm:"is_open_cart"          json:"is_open_cart"`          // 是否开通购物车
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图图片url
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformLittleRedBookAccountInfo is the golang structure for table platform_little_red_book_account_info.
type PlatformLittleRedBookAccountInfo struct {
	RedBookId          int         `orm:"red_book_id,primary"   json:"red_book_id"`           //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	GotLikeCount       int64       `orm:"got_like_count"        json:"got_like_count"`        // (点)赞(收)藏数
	NoteCount          int64       `orm:"note_count"            json:"note_count"`            // 笔记总量
	IsSupportReporting int         `orm:"is_support_reporting"  json:"is_support_reporting"`  // 是否支持报备
	IsSupportLive      int         `orm:"is_support_live"       json:"is_support_live"`       // 是否支持直播
	CanMakeVideo       int         `orm:"can_make_video"        json:"can_make_video"`        // 是否可以制作视频
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	SkilledAt          string      `orm:"skilled_at"            json:"skilled_at"`            // 擅长领域(info_tallent_skilled_area表中的id的数组)  {0,不限。1,母婴。2，美妆护肤。3，时尚穿搭。4，旅游。5，美食。6，数码科技。7，健康养生。8，情感。9，宠物。10，运动健身。11，家居生活。12，搞笑。13，音乐  }
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图链接
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformTiktokAccountInfo is the golang structure for table platform_tiktok_account_info.
type PlatformTiktokAccountInfo struct {
	TiktokId           int         `orm:"tiktok_id,primary"     json:"tiktok_id"`             //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	GotLikeCount       int64       `orm:"got_like_count"        json:"got_like_count"`        // 点赞数
	CompositionCount   int64       `orm:"composition_count"     json:"composition_count"`     // 作品数量
	TiktokUid          string      `orm:"tiktok_uid"            json:"tiktok_uid"`            // 抖音uid
	IsSupportReporting int         `orm:"is_support_reporting"  json:"is_support_reporting"`  // 是否支持报备
	IsSupportLive      int         `orm:"is_support_live"       json:"is_support_live"`       // 是否支持直播
	IsOpenShowcase     int         `orm:"is_open_showcase"      json:"is_open_showcase"`      // 是否开通商品橱窗
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	SkilledAt          string      `orm:"skilled_at"            json:"skilled_at"`            // 擅长领域(info_tallent_skilled_area表中的id的数组)
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图图片链接
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformWeiboAccountInfo is the golang structure for table platform_weibo_account_info.
type PlatformWeiboAccountInfo struct {
	WeiboId            int         `orm:"weibo_id,primary"      json:"weibo_id"`              //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	WeiboTotalNum      int64       `orm:"weibo_total_num"       json:"weibo_total_num"`       // 微博总量
	IsSupportReporting int         `orm:"is_support_reporting"  json:"is_support_reporting"`  // 是否支持报备
	IsSupportLive      int         `orm:"is_support_live"       json:"is_support_live"`       // 是否支持直播
	CanMakeVideo       int         `orm:"can_make_video"        json:"can_make_video"`        // 是否可以制作视频
	IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"is_appear_in_video"`    // 是否出镜
	SkilledAt          string      `orm:"skilled_at"            json:"skilled_at"`            // 擅长领域(info_tallent_skilled_area表中的id的数组)
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图链接
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// PlatformZhihuAccountInfo is the golang structure for table platform_zhihu_account_info.
type PlatformZhihuAccountInfo struct {
	ZhihuId            int         `orm:"zhihu_id,primary"      json:"zhihu_id"`              //
	TalentId           int         `orm:"talent_id,unique"      json:"talent_id"`             // 达人账号id(talent_info表的id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformName       string      `orm:"platform_name"         json:"platform_name"`         // 平台名称(冗余)
	PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platform_icon_url"`     // 平台icon的url(冗余)
	PlatformAccountId  string      `orm:"platform_account_id"   json:"platform_account_id"`   // 在平台上的账号
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	GotAgreeCount      int64       `orm:"got_agree_count"       json:"got_agree_count"`       // 被赞同总数
	GotLikeCount       int64       `orm:"got_like_count"        json:"got_like_count"`        // 被喜欢总数
	GotCollectCount    int64       `orm:"got_collect_count"     json:"got_collect_count"`     // 被收藏总数
	AnswerCount        int64       `orm:"answer_count"          json:"answer_count"`          // 回答总数
	CreativeLevel      int         `orm:"creative_level"        json:"creative_level"`        // 创作等级
	TotalReadPlayCount int64       `orm:"total_read_play_count" json:"total_read_play_count"` // 总阅读播放量
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图
	AccountFrom        string      `orm:"account_from"          json:"account_from"`          // 账号来源(仅B端批量上传的账号需要填写)
	SubmitDate         *gtime.Time `orm:"submit_date"           json:"submit_date"`           // 提交时间
	ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examine_fail_admin_id"` // 审核失败操作管理员id(user表中的id)
	ExamineDate        *gtime.Time `orm:"examine_date"          json:"examine_date"`          // 审核日期
	ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examine_fail_reason"`   // 审核失败原因
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examine_suc_admin_id"`  // 审核成功操作管理员id(user表中的id)
}

// Product is the golang structure for table product.
type Product struct {
	ProductId            int         `orm:"product_id,primary"    json:"product_id"`            //
	ProductName          string      `orm:"product_name"          json:"product_name"`          // 商品名称
	ProductType          int         `orm:"product_type"          json:"product_type"`          // 商品类型 1：实物 ，2：商品，3：线下
	ProductClassify      int         `orm:"product_classify"      json:"product_classify"`      // 商品分类id(info_product_classifyh表id)
	ProductPrice         int64       `orm:"product_price"         json:"product_price"`         // 商品价格
	ProductSpecification string      `orm:"product_specification" json:"product_specification"` // 商品规格
	CreatedAt            *gtime.Time `orm:"created_at"            json:"created_at"`            // 创建时间
	CreatPeople          string      `orm:"creat_people"          json:"creat_people"`          // 创建人
	UpdatedAt            *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	UpdatePeople         string      `orm:"update_people"         json:"update_people"`         // 更新人
}

// ProductPhoto is the golang structure for table product_photo.
type ProductPhoto struct {
	ProductPhotoId int         `orm:"product_photo_id,primary" json:"product_photo_id"` // 商品链接图主键id
	ProductId      int         `orm:"product_id"               json:"product_id"`       // 商品表id
	Symbol         int         `orm:"symbol"                   json:"symbol"`           // 图片是主图还是详情图标志位 1主图 2轮播图 3，详情图
	PhotoUrl       string      `orm:"photo_url"                json:"photo_url"`        // 商品图片链接
	CreatedAt      *gtime.Time `orm:"created_at"               json:"created_at"`       // 创建时间
	CreatPeople    string      `orm:"creat_people"             json:"creat_people"`     // 创建人
	UpdatedAt      *gtime.Time `orm:"updated_at"               json:"updated_at"`       // 更新时间
	UpdatePeople   string      `orm:"update_people"            json:"update_people"`    // 更新人
}

// ProjectInfo is the golang structure for table project_info.
type ProjectInfo struct {
	ProjectId       int         `orm:"project_id,primary" json:"project_id"`       // 项目id
	ProjectName     string      `orm:"project_name"       json:"project_name"`     // 项目名称
	ProjectStatus   int         `orm:"project_status"     json:"project_status"`   // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、失效、执行中、已结案
	ProjectType     int         `orm:"project_type"       json:"project_type"`     // 项目类型，1代表全流程项目，2代表专项项目
	ProjectPlatform int         `orm:"project_platform"   json:"project_platform"` // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ProjectForm     int         `orm:"project_form"       json:"project_form"`     // 项目形式，1-4分别代表实体商品寄拍、虚拟产品测评、线下探店打卡、素材微原创
	TalentType      string      `orm:"talent_type"        json:"talent_type"`      // 达人类型
	RecruitDdl      *gtime.Time `orm:"recruit_ddl"        json:"recruit_ddl"`      // 招募截止时间
	ContentType     int         `orm:"content_type"       json:"content_type"`     // 内容形式，1代表图文，2代表视频
	ProjectDetail   string      `orm:"project_detail"     json:"project_detail"`   // 项目详情
	ApplyNum        int         `orm:"apply_num"          json:"apply_num"`        // 报名人数
	RecruitNum      int         `orm:"recruit_num"        json:"recruit_num"`      // 已招募人数
	EnterpriseId    int         `orm:"enterprise_id"      json:"enterprise_id"`    // 所属企业id
	ProductId       int         `orm:"product_id"         json:"product_id"`       // 关联商品id
	CreatedAt       *gtime.Time `orm:"created_at"         json:"created_at"`       // 创建时间
	UpdatedAt       *gtime.Time `orm:"updated_at"         json:"updated_at"`       // 修改时间
}

// ProjectPhoto is the golang structure for table project_photo.
type ProjectPhoto struct {
	ProjectPhotoId int         `orm:"project_photo_id,primary" json:"project_photo_id"` // 项目图片id
	PhotoUrl       string      `orm:"photo_url"                json:"photo_url"`        // 图片url
	PhotoUid       string      `orm:"photo_uid"                json:"photo_uid"`        //
	ProjectId      int         `orm:"project_id"               json:"project_id"`       // 所属项目id
	CreatedAt      *gtime.Time `orm:"created_at"               json:"created_at"`       // 创建时间
}

// ROrderCompeleteStageToType is the golang structure for table r_order_compelete_stage_to_type.
type ROrderCompeleteStageToType struct {
	RId                 uint `orm:"r_id,primary"          json:"r_id"`                  //
	OrderProcedureStage int  `orm:"order_procedure_stage" json:"order_procedure_stage"` // 任务流程的阶段(对应workflow_node_container表中的procedure_stage字段)
	OrderProcedureStep  int  `orm:"order_procedure_step"  json:"order_procedure_step"`  // 任务流程的步骤(对应workflow_node_container表中的step_in_stage字段)
	CompleteType        int  `orm:"complete_type"         json:"complete_type"`         // 任务步骤如果存在结束任务的可能，则这里是对应的结束任务的方式
}

// RTalentPlatformTable is the golang structure for table r_talent_platform_table.
type RTalentPlatformTable struct {
	RtId           uint        `orm:"rt_id,primary"    json:"rt_id"`            // 审核表的主键ID
	Tid            int         `orm:"tid"              json:"tid"`              // 达人id(talent_info表中的id)
	PId            int         `orm:"p_id"             json:"p_id"`             // 平台id(info_third_platform表中的id)
	PName          string      `orm:"p_name"           json:"p_name"`           // 平台名称
	PNickname      string      `orm:"p_nickname"       json:"p_nickname"`       // 账号所在平台昵称
	PAccountId     string      `orm:"p_account_id"     json:"p_account_id"`     // 平台对应的ID（达人在所在平台的ID）
	FansCount      int64       `orm:"fans_count"       json:"fans_count"`       // 达人在平台的粉丝数量
	HomePageUrl    string      `orm:"home_page_url"    json:"home_page_url"`    // 达人的主页链接
	ExamineState   int         `orm:"examine_state"    json:"examine_state"`    // 审核状态 1待审核 2审核通过 3审核驳回
	FailReason     string      `orm:"fail_reason"      json:"fail_reason"`      // 审核驳回原因
	ExamineAdminId int         `orm:"examine_admin_id" json:"examine_admin_id"` // 审核操作管理员id
	CreateDate     *gtime.Time `orm:"create_date"      json:"create_date"`      // 创建时间
	ExamineDate    *gtime.Time `orm:"examine_date"     json:"examine_date"`     // 审核时间
	DisableDate    *gtime.Time `orm:"disable_date"     json:"disable_date"`     // 下架时间
	Deleted        int         `orm:"deleted"          json:"deleted"`          // 是否逻辑删除 0否 1是
}

// RecruitStrategy is the golang structure for table recruit_strategy.
type RecruitStrategy struct {
	RecruitStrategyId int `orm:"recruit_strategy_id,primary" json:"recruit_strategy_id"` // 招募策略id
	FeeForm           int `orm:"fee_form"                    json:"fee_form"`            // 稿费形式，1-3分别代表产品置换、固定稿费、自报价
	StrategyId        int `orm:"strategy_id"                 json:"strategy_id"`         // 策略id
	FollowersLow      int `orm:"followers_low"               json:"followers_low"`       // 达人粉丝数下限
	FollowersUp       int `orm:"followers_up"                json:"followers_up"`        // 达人粉丝数上限
	RecruitNumber     int `orm:"recruit_number"              json:"recruit_number"`      // 招募数量
	Offer             int `orm:"offer"                       json:"offer"`               // 报价
	ProjectId         int `orm:"project_id"                  json:"project_id"`          // 所属项目id
}

// TalentDeliveryAddress is the golang structure for table talent_delivery_address.
type TalentDeliveryAddress struct {
	AddressId    int64  `orm:"address_id,primary" json:"address_id"`    //
	RegionCode   int    `orm:"region_code"        json:"region_code"`   // 区域码，取info_region表中的self_code字段值
	DetailAddr   string `orm:"detail_addr"        json:"detail_addr"`   // 详细地址
	PhoneNumber  string `orm:"phone_number"       json:"phone_number"`  // 联系电话
	ReceiverName string `orm:"receiver_name"      json:"receiver_name"` // 收货人名字
	DefaultTag   int    `orm:"default_tag"        json:"default_tag"`   // 是否默认收货地址
	TalentId     int    `orm:"talent_id"          json:"talent_id"`     // 达人id(talent_info表中的id)
}

// TalentInfo is the golang structure for table talent_info.
type TalentInfo struct {
	Id                int         `orm:"id,primary"          json:"id"`                  //
	TalentWxOpenid    string      `orm:"talent_wx_openid"    json:"talent_wx_openid"`    // 达人的微信openid
	TalentWxNickname  string      `orm:"talent_wx_nickname"  json:"talent_wx_nickname"`  // 达人的微信昵称
	TalentWxNumber    string      `orm:"talent_wx_number"    json:"talent_wx_number"`    // 达人微信号
	TalentGender      int         `orm:"talent_gender"       json:"talent_gender"`       // 性别，0未知 1男 2女
	TalentPhoneNumber string      `orm:"talent_phone_number" json:"talent_phone_number"` // 电话号码
	TalentAgeBracket  int         `orm:"talent_age_bracket"  json:"talent_age_bracket"`  // 年龄段，取tallent_age_bracket表id
	TalentSkinType    int         `orm:"talent_skin_type"    json:"talent_skin_type"`    // 肤质，取tallent_skin_type表的id
	TalentNationality int         `orm:"talent_nationality"  json:"talent_nationality"`  // 国籍，取tallent_nationality表id
	VisitStoreRegion  int         `orm:"visit_store_region"  json:"visit_store_region"`  // 探店区域，取region_info表中的self_code
	ApprovalStatus    int         `orm:"approval_status"     json:"approval_status"`     // 审核状态 0提交未审核 1审核通过 2审核失败
	ApprovalDate      *gtime.Time `orm:"approval_date"       json:"approval_date"`       // 审核时间
	Enabled           int         `orm:"enabled"             json:"enabled"`             // 是否上架(激活)
	EnabledDate       *gtime.Time `orm:"enabled_date"        json:"enabled_date"`        // 上架(激活)时间
	InBlacklist       uint        `orm:"in_blacklist"        json:"in_blacklist"`        // 是否加入黑名单 0否 1是
	CreateDate        *gtime.Time `orm:"create_date"         json:"create_date"`         // 创建时间
	LastLoginDate     *gtime.Time `orm:"last_login_date"     json:"last_login_date"`     // 最后登录时间
	AliName           string      `orm:"ali_name"            json:"ali_name"`            // 支付宝姓名
	AliAccount        string      `orm:"ali_account"         json:"ali_account"`         // 支付宝账号
}

// TaskBaseInfo is the golang structure for table task_base_info.
type TaskBaseInfo struct {
	TaskId         int         `orm:"task_id,primary"  json:"task_id"`          // 任务基础信息id
	TaskName       string      `orm:"task_name"        json:"task_name"`        // 任务名称
	TaskPlatform   int         `orm:"task_platform"    json:"task_platform"`    // 任务平台id,取third_platform_info表id
	TaskMode       int         `orm:"task_mode"        json:"task_mode"`        // 任务模式 1置换任务 2稿费任务 3折扣任务
	BusinessType   int         `orm:"business_type"    json:"business_type"`    // 业务类型 1实物 2虚拟 3线下
	ContentForm    uint        `orm:"content_form"     json:"content_form"`     // 内容形式 低4位为图片和视频类型，0001原创图片 0010指定图片 0100原创视频 1000指定视频 5~6位为文案类型 010000为原创文案 100000为指定文案 第7位为是否直播01000000为直播00000000为非直播
	OtherForm      int         `orm:"other_form"       json:"other_form"`       // 其他形式 1不限 2仅单品 3仅合辑
	StartTime      *gtime.Time `orm:"start_time"       json:"start_time"`       // 作品发布时间
	EndTime        *gtime.Time `orm:"end_time"         json:"end_time"`         // 作品结束时间
	DeadlineTime   *gtime.Time `orm:"deadline_time"    json:"deadline_time"`    // 任务报名截至日期
	TaskStatus     int         `orm:"task_status"      json:"task_status"`      // 任务状态：1待支付（待上线）  2执行中  3已结案
	TaskCreateFlag uint        `orm:"task_create_flag" json:"task_create_flag"` // 创建任务时提交状态
	BrandId        int         `orm:"brand_id"         json:"brand_id"`         // 品牌id
	ProductId      int         `orm:"product_id"       json:"product_id"`       // 任务商品id
	CreatedAt      *gtime.Time `orm:"created_at"       json:"created_at"`       // 创建时间
	OnlineTime     *gtime.Time `orm:"online_time"      json:"online_time"`      // 上线时间
	BrandName      string      `orm:"brand_name"       json:"brand_name"`       // 品牌名称
}

// TaskPerformHelpInfo is the golang structure for table task_perform_help_info.
type TaskPerformHelpInfo struct {
	TphId               int    `orm:"tph_id,primary"        json:"tph_id"`                //
	TaskBaseId          int    `orm:"task_base_id,unique"   json:"task_base_id"`          // 关联的任务基本信息id
	BrandKeyword        string `orm:"brand_keyword"         json:"brand_keyword"`         // 品牌关键词
	ProductMerits       string `orm:"product_merits"        json:"product_merits"`        // 产品亮点
	AppendTopic         string `orm:"append_topic"          json:"append_topic"`          // 添加话题
	CaptureRequirement  string `orm:"capture_requirement"   json:"capture_requirement"`   // 拍摄要求
	RemainDays          int    `orm:"remain_days"           json:"remain_days"`           // 保留时长(天)
	OtherPerformRequire string `orm:"other_perform_require" json:"other_perform_require"` // 其他执行要求
	CaptureReference    string `orm:"capture_reference"     json:"capture_reference"`     // 拍摄参考
	CustomServiceQrcode string `orm:"custom_service_qrcode" json:"custom_service_qrcode"` // 客服二维码url
	BriefList           string `orm:"brief_list"            json:"brief_list"`            // brief图片urls
}

// TaskProcedureArticleInfo is the golang structure for table task_procedure_article_info.
type TaskProcedureArticleInfo struct {
	TpaId            int `orm:"tpa_id,primary"     json:"tpa_id"`             //
	TaskBaseId       int `orm:"task_base_id"       json:"task_base_id"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"upload_limit_day"`   // 上传作品天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"upload_reduce_rate"` // 上传作品超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"revise_limit_day"`   // 作品修改天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"revise_reduce_rate"` // 作品修改超时扣费比率(*100)
}

// TaskProcedureBuySamplesInfo is the golang structure for table task_procedure_buy_samples_info.
type TaskProcedureBuySamplesInfo struct {
	TpbId            int    `orm:"tpb_id,primary"      json:"tpb_id"`             //
	TaskBaseId       int    `orm:"task_base_id,unique" json:"task_base_id"`       // 任务id(对应task_base_info表id字段)
	PlatformName     string `orm:"platform_name"       json:"platform_name"`      // 平台对应的名称
	BuySamplesCost   int64  `orm:"buy_samples_cost"    json:"buy_samples_cost"`   // 拍单费用
	BuySamplesRefund int64  `orm:"buy_samples_refund"  json:"buy_samples_refund"` // 拍单退费
	BuySamplesUrl    string `orm:"buy_samples_url"     json:"buy_samples_url"`    // 拍单链接
	SyncLogistics    int    `orm:"sync_logistics"      json:"sync_logistics"`     // 是否同步物流信息 0不同步 1同步
}

// TaskProcedureDecisionCondition is the golang structure for table task_procedure_decision_condition.
type TaskProcedureDecisionCondition struct {
	TpdId              int   `orm:"tpd_id,primary"       json:"tpd_id"`               //
	TaskBaseId         int   `orm:"task_base_id"         json:"task_base_id"`         // 任务id(对应task_base_info表id字段)
	BuySamplesType     int   `orm:"buy_samples_type"     json:"buy_samples_type"`     // 拍单方式 1样叽拍单 2，不拍单
	BuySamplesStage    int   `orm:"buy_samples_stage"    json:"buy_samples_stage"`    // 拍单对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ExamineDraft       int   `orm:"examine_draft"        json:"examine_draft"`        // 是否需要审核初稿 0不审核 1审核
	ExamineDraftStage  int   `orm:"examine_draft_stage"  json:"examine_draft_stage"`  // 审核初稿对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReviewArticle      int   `orm:"review_article"       json:"review_article"`       // 是否需要审核作品 0不审核 1审核
	ReviewArticleStage int   `orm:"review_article_stage" json:"review_article_stage"` // 审核作品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestQulity       int   `orm:"is_test_qulity"       json:"is_test_qulity"`       // 是否质检目前不可选，值固定为1
	QuilityTestStage   int   `orm:"quility_test_stage"   json:"quility_test_stage"`   // 质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestData         int   `orm:"is_test_data"         json:"is_test_data"`         // 是否进行数据检测，目前不可选，值固定为1
	DataTestStage      int   `orm:"data_test_stage"      json:"data_test_stage"`      // 数据质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReturnSamples      int   `orm:"return_samples"       json:"return_samples"`       // 是否返还样品 0不返还 1返还
	ReturnSamplesStage int   `orm:"return_samples_stage" json:"return_samples_stage"` // 返还样品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsAddTaskFinish    int   `orm:"is_add_task_finish"   json:"is_add_task_finish"`   // 是否添加任务完成步骤，目前固定为1
	TaskFisnishStage   int   `orm:"task_fisnish_stage"   json:"task_fisnish_stage"`   // 任务完成对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	BuySamplesCost     int64 `orm:"buy_samples_cost"     json:"buy_samples_cost"`     // 拍单费用
	SyncLogistics      int   `orm:"sync_logistics"       json:"sync_logistics"`       // 是否同步物流信息 1不同步 2同步
	BuySamplesRefund   int64 `orm:"buy_samples_refund"   json:"buy_samples_refund"`   // 拍单退费
}

// TaskProcedureDraftInfo is the golang structure for table task_procedure_draft_info.
type TaskProcedureDraftInfo struct {
	TaskPdId         int `orm:"task_pd_id,primary" json:"task_pd_id"`         //
	TaskBaseId       int `orm:"task_base_id"       json:"task_base_id"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"upload_limit_day"`   // 上传初稿天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"upload_reduce_rate"` // 上传初稿超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"revise_limit_day"`   // 修改初稿期限天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"revise_reduce_rate"` // 初稿超时扣费比率(*100)
}

// TaskProcedureQualityDataTestInfo is the golang structure for table task_procedure_quality_data_test_info.
type TaskProcedureQualityDataTestInfo struct {
	TpqId                   int    `orm:"tpq_id,primary"             json:"tpq_id"`                     //
	TaskBaseId              int    `orm:"task_base_id"               json:"task_base_id"`               // 任务id(对应task_base_info表id字段)
	QualityTestUrl          string `orm:"quality_test_url"           json:"quality_test_url"`           // 质检链接
	QualityTestLimitDay     int    `orm:"quality_test_limit_day"     json:"quality_test_limit_day"`     // 上传质检连接天数限制
	QualityTestReduceRate   int    `orm:"quality_test_reduce_rate"   json:"quality_test_reduce_rate"`   // 上传质检连接超时扣费比率(*100)
	QualityReviseLimitDay   int    `orm:"quality_revise_limit_day"   json:"quality_revise_limit_day"`   // 修改质检连接天数限制
	QualityReviseReduseRate int    `orm:"quality_revise_reduse_rate" json:"quality_revise_reduse_rate"` // 修改质检连接超时扣费比率(*100)
	DataTestUrl             string `orm:"data_test_url"              json:"data_test_url"`              // 数据检测连接
	DataTestLimitDay        int    `orm:"data_test_limit_day"        json:"data_test_limit_day"`        // 上传数据检测连接天数限制
	DataTestReduceRate      int    `orm:"data_test_reduce_rate"      json:"data_test_reduce_rate"`      // 上传数据检测连接超时扣费比率(*100)
	DataReviceLimitDay      int    `orm:"data_revice_limit_day"      json:"data_revice_limit_day"`      // 修改数据检测链接天数限制
	DataReviceReduceRate    int    `orm:"data_revice_reduce_rate"    json:"data_revice_reduce_rate"`    // 修改数据检测链接超时扣费比率(*100)
}

// TaskRecruitRequirements is the golang structure for table task_recruit_requirements.
type TaskRecruitRequirements struct {
	TrrId            int    `orm:"trr_id,primary"      json:"trr_id"`            //
	TaskBaseId       int    `orm:"task_base_id,unique" json:"task_base_id"`      // 关联的task_base_info中的id
	TalentSkillsOn   string `orm:"talent_skills_on"    json:"talent_skills_on"`  // 达人擅长领域要求,info_tallent_skilled_area表中的id列表，以逗号分隔    ['不限', '母婴', '美妆护肤', '时尚穿搭', '旅游', '美食', '数码科技', '健康养生', '情感', '宠物', '运动健身', '家居生活', '搞笑', '音乐'],
	InteractType     string `orm:"interact_type"       json:"interact_type"`     // 指定互动形式的内容
	RegionCode       int    `orm:"region_code"         json:"region_code"`       // 地域码,info_region表中的self_code值
	Gender           int    `orm:"gender"              json:"gender"`            // 限制可接任务的性别,0女 1男 2不限制
	OtherRequirement string `orm:"other_requirement"   json:"other_requirement"` // 其他要求
}

// TaskRecruitTalentLevel is the golang structure for table task_recruit_talent_level.
type TaskRecruitTalentLevel struct {
	TrtId           int   `orm:"trt_id,primary"    json:"trt_id"`            //
	TaskBaseId      int   `orm:"task_base_id"      json:"task_base_id"`      // 关联的task_base_info的id
	FansCountMin    int   `orm:"fans_count_min"    json:"fans_count_min"`    // 最小粉丝数
	FansCountMax    int   `orm:"fans_count_max"    json:"fans_count_max"`    // 最大粉丝数
	NeedTalentCount int   `orm:"need_talent_count" json:"need_talent_count"` // 任务需要的达人数量
	RewardRoyalties int64 `orm:"reward_royalties"  json:"reward_royalties"`  // 稿费金额
}

// TaskReward is the golang structure for table task_reward.
type TaskReward struct {
	RewardId         int    `orm:"reward_id,primary"   json:"reward_id"`          //
	IsRewardGoods    int    `orm:"is_reward_goods"     json:"is_reward_goods"`    // 是否奖励实物
	RewardGoodsInfo  string `orm:"reward_goods_info"   json:"reward_goods_info"`  // 实物奖励信息
	IsPaymentArticle int    `orm:"is_payment_article"  json:"is_payment_article"` // 是否获得稿费
	PaymentValue     string `orm:"payment_value"       json:"payment_value"`      // 稿费金额描述
	OtherRewardInfo  string `orm:"other_reward_info"   json:"other_reward_info"`  // 其他奖励信息
	TaskBaseId       int    `orm:"task_base_id,unique" json:"task_base_id"`       // 关联的task_base_info的id
}

// User is the golang structure for table user.
type User struct {
	Id            int         `orm:"id,primary"      json:"id"`              // 用户表id
	User          string      `orm:"user"            json:"user"`            // 账号
	Username      string      `orm:"username"        json:"username"`        // 后台用户名
	Password      string      `orm:"password"        json:"password"`        // 用户密码
	RealName      string      `orm:"real_name"       json:"real_name"`       // 真实姓名
	Role          string      `orm:"role"            json:"role"`            // 角色 1，超级管理员； 2，管理员；3，企业用户
	Phone         string      `orm:"phone,unique"    json:"phone"`           // 绑定手机
	Email         string      `orm:"email"           json:"email"`           // 电子邮件
	LastLoginTime *gtime.Time `orm:"last_login_time" json:"last_login_time"` // 最后一次登录时间
	UserState     string      `orm:"user_state"      json:"user_state"`      // 0，禁用，1，正常
	CreatedAt     *gtime.Time `orm:"created_at"      json:"created_at"`      // 创建时间
	UpdatedAt     *gtime.Time `orm:"updated_at"      json:"updated_at"`      // 更新时间
}

// WorkflowNodeContainer is the golang structure for table workflow_node_container.
type WorkflowNodeContainer struct {
	ContainerId         uint64      `orm:"container_id,primary"   json:"container_id"`           //
	NodeNameFirst       string      `orm:"node_name_first"        json:"node_name_first"`        // 首次执行时的节点名，前端显示
	NodeNameAfterSecond string      `orm:"node_name_after_second" json:"node_name_after_second"` // 第二次之后执行时的节点名
	ProcedureStage      int         `orm:"procedure_stage"        json:"procedure_stage"`        // 订单处理流程阶段，如：拍单阶段、初稿阶段
	StepInStage         uint        `orm:"step_in_stage"          json:"step_in_stage"`          // 在阶段中的步骤，如提交初稿是初稿阶段的第一步
	CurExecutionTimes   int         `orm:"cur_execution_times"    json:"cur_execution_times"`    // 当前执行次数
	MaxExecutionTimes   int         `orm:"max_execution_times"    json:"max_execution_times"`    // 最大执行次数
	Tip                 string      `orm:"tip"                    json:"tip"`                    // 此步骤在达人端的提示
	SucNextStep         uint        `orm:"suc_next_step"          json:"suc_next_step"`          // 成功后在此阶段的后续步骤 0不处理 255进行后续阶段 其余数值为本阶段step_in_stage值
	FailNextStep        uint        `orm:"fail_next_step"         json:"fail_next_step"`         // 失败的后续步骤，数值同上
	State               int         `orm:"state"                  json:"state"`                  // 状态 1未开启 2进行中 3失败 4完成
	FailReason          string      `orm:"fail_reason"            json:"fail_reason"`            // 失败原因
	StartDate           *gtime.Time `orm:"start_date"             json:"start_date"`             // 开始日期
	CompleteDate        *gtime.Time `orm:"complete_date"          json:"complete_date"`          // 完成日期
	CompleteUserName    string      `orm:"complete_user_name"     json:"complete_user_name"`     // 完成人名
	LimitDays1          int         `orm:"limit_days_1"           json:"limit_days_1"`           // 限制天数
	ReduceFeeRatio1     int         `orm:"reduce_fee_ratio_1"     json:"reduce_fee_ratio_1"`     // 超期扣费比率
	LimitDays2          int         `orm:"limit_days_2"           json:"limit_days_2"`           // 第二次执行限制天数(修改操作限时）
	ReduceFeeRatio2     int         `orm:"reduce_fee_ratio_2"     json:"reduce_fee_ratio_2"`     // 第二次执行超期扣费率
	OperateRoleRestrict int         `orm:"operate_role_restrict"  json:"operate_role_restrict"`  // 操作角色限制 1后端 2达人
	SortId              int         `orm:"sort_id"                json:"sort_id"`                // 在一个任务流程中的排序值
	OrderId             int         `orm:"order_id"               json:"order_id"`               // 关联的订单和任务id
}

// WorkflowNodeTemplate is the golang structure for table workflow_node_template.
type WorkflowNodeTemplate struct {
	TemplateId          uint        `orm:"template_id,primary"    json:"template_id"`            //
	NodeNameFirst       string      `orm:"node_name_first"        json:"node_name_first"`        // 首次执行时的节点名，前端显示
	NodeNameAfterSecond string      `orm:"node_name_after_second" json:"node_name_after_second"` // 第二次之后执行时的节点名
	ProcedureStage      int         `orm:"procedure_stage"        json:"procedure_stage"`        // 订单处理流程阶段，如：拍单阶段、初稿阶段
	StepInStage         uint        `orm:"step_in_stage"          json:"step_in_stage"`          // 在阶段中的步骤，如提交初稿是初稿阶段的第一步
	CurExecutionTimes   int         `orm:"cur_execution_times"    json:"cur_execution_times"`    // 当前执行次数
	MaxExecutionTimes   int         `orm:"max_execution_times"    json:"max_execution_times"`    // 最大执行次数
	Tip                 string      `orm:"tip"                    json:"tip"`                    // 此步骤在达人端的提示
	SucNextStep         uint        `orm:"suc_next_step"          json:"suc_next_step"`          // 成功后在此阶段的后续步骤 0不处理 255进行后续阶段 其余数值为本阶段step_in_stage值
	FailNextStep        uint        `orm:"fail_next_step"         json:"fail_next_step"`         // 失败的后续步骤，数值同上
	State               int         `orm:"state"                  json:"state"`                  // 状态 1未开启 2进行中 3成功 4失败
	FailReason          string      `orm:"fail_reason"            json:"fail_reason"`            //
	StartDate           *gtime.Time `orm:"start_date"             json:"start_date"`             // 开启日期
	CompleteDate        *gtime.Time `orm:"complete_date"          json:"complete_date"`          // 完成日期
	CompleteUserName    string      `orm:"complete_user_name"     json:"complete_user_name"`     // 完成人名
	LimitDays1          int         `orm:"limit_days_1"           json:"limit_days_1"`           // 此状态限制天数 0不限制
	ReduceFeeRatio1     int         `orm:"reduce_fee_ratio_1"     json:"reduce_fee_ratio_1"`     // 超期扣费比率
	LimitDays2          int         `orm:"limit_days_2"           json:"limit_days_2"`           // 第二次执行限制天数(修改操作限时）
	ReduceFeeRatio2     int         `orm:"reduce_fee_ratio_2"     json:"reduce_fee_ratio_2"`     // 第二次执行超期扣费率
	OperateRoleRestrict int         `orm:"operate_role_restrict"  json:"operate_role_restrict"`  // 操作角色限制 1后端 2达人
	SortId              int         `orm:"sort_id"                json:"sort_id"`                //
}

// WxPayOrder is the golang structure for table wx_pay_order.
type WxPayOrder struct {
	OrderId                   uint64      `orm:"order_id,primary"             json:"order_id"`                     //
	OutTradeNo                string      `orm:"out_trade_no,unique"          json:"out_trade_no"`                 // 本平台的订单号
	WxOrderNo                 string      `orm:"wx_order_no"                  json:"wx_order_no"`                  // 微信产生的订单号
	PayAmount                 int64       `orm:"pay_amount"                   json:"pay_amount"`                   // 支付金额
	TaskName                  string      `orm:"task_name"                    json:"task_name"`                    // 任务名称
	PayReason                 int         `orm:"pay_reason"                   json:"pay_reason"`                   // 支付用途 1拍单
	TalentId                  int         `orm:"talent_id"                    json:"talent_id"`                    // 达人id
	TalentWxNickname          string      `orm:"talent_wx_nickname"           json:"talent_wx_nickname"`           // 达人微信昵称
	TalentPlatformAccountName string      `orm:"talent_platform_account_name" json:"talent_platform_account_name"` // 达人平台账号昵称
	TaskId                    int         `orm:"task_id"                      json:"task_id"`                      // 任务id
	TaskPlatform              int         `orm:"task_platform"                json:"task_platform"`                // 任务的社媒平台id
	Success                   int         `orm:"success"                      json:"success"`                      // 是否成功
	CreateAt                  *gtime.Time `orm:"create_at"                    json:"create_at"`                    // 订单生成时间
	Desc                      string      `orm:"desc"                         json:"desc"`                         // 描述
}

// YoungeePlatformAccountInfo is the golang structure for table youngee_platform_account_info.
type YoungeePlatformAccountInfo struct {
	AccountId          int         `orm:"account_id,primary"    json:"account_id"`            //
	TalentId           string      `orm:"talent_id"             json:"talent_id"`             // 达人账号id(youngee_talent_info表id值)
	PlatformId         int         `orm:"platform_id"           json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformNickname   string      `orm:"platform_nickname"     json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string      `orm:"home_page_url"         json:"home_page_url"`         // 主页链接
	FansCount          int64       `orm:"fans_count"            json:"fans_count"`            // 粉丝数
	HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"home_page_capture_url"` // 主页截图链接
	BindDate           *gtime.Time `orm:"bind_date"             json:"bind_date"`             // 绑定时间
	Deleted            int         `orm:"deleted"               json:"deleted"`               // 是否被解绑
	UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updated_at"`            // 更新时间
	UpdatedPerson      int         `orm:"updated_person"        json:"updated_person"`        // 更新人，0代表本人，1代表管理员
	UpdatedAdminId     int         `orm:"updated_admin_id"      json:"updated_admin_id"`      // 上一次更新的管理员id
}

// YoungeeTalentDeliveryAddress is the golang structure for table youngee_talent_delivery_address.
type YoungeeTalentDeliveryAddress struct {
	AddressId    int64  `orm:"address_id,primary" json:"address_id"`    //
	TalentId     string `orm:"talent_id"          json:"talent_id"`     // 达人id(youngee_talent_info表中的id)
	RegionCode   int    `orm:"region_code"        json:"region_code"`   // 区域码，取info_region表中的self_code字段值
	DetailAddr   string `orm:"detail_addr"        json:"detail_addr"`   // 详细地址
	PhoneNumber  string `orm:"phone_number"       json:"phone_number"`  // 联系电话
	ReceiverName string `orm:"receiver_name"      json:"receiver_name"` // 收货人名字
	DefaultTag   int    `orm:"default_tag"        json:"default_tag"`   // 是否默认收货地址
	MailCode     string `orm:"mail_code"          json:"mail_code"`     // 邮政编码
}

// YoungeeTalentInfo is the golang structure for table youngee_talent_info.
type YoungeeTalentInfo struct {
	Id                string      `orm:"id,primary"          json:"id"`                  // 达人id
	TalentWxOpenid    string      `orm:"talent_wx_openid"    json:"talent_wx_openid"`    // 达人的微信openid
	TalentWxNickname  string      `orm:"talent_wx_nickname"  json:"talent_wx_nickname"`  // 达人的微信昵称
	TalentWxNumber    string      `orm:"talent_wx_number"    json:"talent_wx_number"`    // 达人微信号
	Income            int64       `orm:"income"              json:"income"`              // 收益总数
	Withdrawing       int64       `orm:"withdrawing"         json:"withdrawing"`         // 提现中金额
	Canwithdraw       int64       `orm:"canwithdraw"         json:"canwithdraw"`         // 可提现金额
	Withdrawed        int64       `orm:"withdrawed"          json:"withdrawed"`          // 已提现金额
	TalentGender      int         `orm:"talent_gender"       json:"talent_gender"`       // 性别，0未知 1男 2女
	TalentPhoneNumber string      `orm:"talent_phone_number" json:"talent_phone_number"` // 电话号码
	TalentAgeBracket  int         `orm:"talent_age_bracket"  json:"talent_age_bracket"`  // 年龄段，取tallent_age_bracket表id
	TalentNationality int         `orm:"talent_nationality"  json:"talent_nationality"`  // 国籍，取tallent_nationality表id
	VisitStoreRegion  int         `orm:"visit_store_region"  json:"visit_store_region"`  // 探店区域，取region_info表中的self_code
	IsBindInfo        uint        `orm:"is_bind_info"        json:"is_bind_info"`        // 是否填写个人资料
	IsBindLocation    uint        `orm:"is_bind_location"    json:"is_bind_location"`    // 是否绑定收货地址
	IsBindBank        uint        `orm:"is_bind_bank"        json:"is_bind_bank"`        // 是否绑定银行账户信息
	InBlacklist       uint        `orm:"in_blacklist"        json:"in_blacklist"`        // 是否加入黑名单 0否 1是
	TaskAll           int         `orm:"task_all"            json:"task_all"`            // 任务总数
	TaskApply         int         `orm:"task_apply"          json:"task_apply"`          // 报名任务数量
	TaskExecute       int         `orm:"task_execute"        json:"task_execute"`        // 执行中任务数量
	TaskEnd           int         `orm:"task_end"            json:"task_end"`            // 结束任务数量
	CreateDate        *gtime.Time `orm:"create_date"         json:"create_date"`         // 创建时间
	LastLoginDate     *gtime.Time `orm:"last_login_date"     json:"last_login_date"`     // 最后登录时间
}

// YoungeeTaskInfo is the golang structure for table youngee_task_info.
type YoungeeTaskInfo struct {
	TaskId                 uint64      `orm:"task_id,primary"           json:"task_id"`                   // 任务id
	ProjectId              int         `orm:"project_id"                json:"project_id"`                // 项目id
	TalentId               string      `orm:"talent_id"                 json:"talent_id"`                 // 达人id
	TalentPlatformInfoSnap string      `orm:"talent_platform_info_snap" json:"talent_platform_info_snap"` // 达人平台信息快照
	TalentPersonalInfoSnap string      `orm:"talent_personal_info_snap" json:"talent_personal_info_snap"` // 达人个人信息快照
	TalentPostAddrSnap     string      `orm:"talent_post_addr_snap"     json:"talent_post_addr_snap"`     // 收货地址快照
	StrategyId             int         `orm:"strategy_id"               json:"strategy_id"`               // 报名选择的招募策略id
	TaskReward             int64       `orm:"task_reward"               json:"task_reward"`               // 任务奖励金额
	SettleAmount           int64       `orm:"settle_amount"             json:"settle_amount"`             // 待结算金额（任务奖励扣除违规扣款）
	TaskStatus             int         `orm:"task_status"               json:"task_status"`               // 任务状态
	CreateDate             *gtime.Time `orm:"create_date"               json:"create_date"`               // 创建时间
	SelectDate             *gtime.Time `orm:"select_date"               json:"select_date"`               // 反选时间
	CompleteStatus         int         `orm:"complete_status"           json:"complete_status"`           // 结束方式 1未结束 2正常结束 3反选失败 4被解约
	CompleteDate           *gtime.Time `orm:"complete_date"             json:"complete_date"`             // 结束时间
}

// YounggeeProduct is the golang structure for table younggee_product.
type YounggeeProduct struct {
	ProductId     int         `orm:"product_id,primary" json:"product_id"`     // 商品id
	ProductName   string      `orm:"product_name"       json:"product_name"`   // 商品名称
	ProductType   int         `orm:"product_type"       json:"product_type"`   // 商品类型
	ShopAddress   string      `orm:"shop_address"       json:"shop_address"`   // 店铺地址，商品类型为线下品牌时需填写
	ProductPrice  int64       `orm:"product_price"      json:"product_price"`  // 商品价值
	ProductDetail string      `orm:"product_detail"     json:"product_detail"` //
	ProductUrl    string      `orm:"product_url"        json:"product_url"`    // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	EnterpriseId  int         `orm:"enterprise_id"      json:"enterprise_id"`  // 所属企业id
	CreatedAt     *gtime.Time `orm:"created_at"         json:"created_at"`     // 创建时间
	UpdatedAt     *gtime.Time `orm:"updated_at"         json:"updated_at"`     // 更新时间
	BrandName     string      `orm:"brand_name"         json:"brand_name"`     //
}

// YounggeeProductPhoto is the golang structure for table younggee_product_photo.
type YounggeeProductPhoto struct {
	ProductPhotoId int         `orm:"product_photo_id,primary" json:"product_photo_id"` // 商品图片id
	ProductId      int         `orm:"product_id"               json:"product_id"`       // 所属商品id
	Symbol         int         `orm:"symbol"                   json:"symbol"`           // 图片为主图或详情图标志位，1为主图，2为详情图，3为视频
	PhotoUrl       string      `orm:"photo_url"                json:"photo_url"`        // 图片或视频url
	PhotoUid       string      `orm:"photo_uid"                json:"photo_uid"`        //
	CreatedAt      *gtime.Time `orm:"created_at"               json:"created_at"`       // 创建时间
}

// YounggeeUser is the golang structure for table younggee_user.
type YounggeeUser struct {
	Id            int         `orm:"id,primary"      json:"id"`              // 用户表id
	User          string      `orm:"user"            json:"user"`            // 账号
	Username      string      `orm:"username"        json:"username"`        // 后台用户名
	Password      string      `orm:"password"        json:"password"`        // 用户密码
	RealName      string      `orm:"real_name"       json:"real_name"`       // 真实姓名
	Role          string      `orm:"role"            json:"role"`            // 角色 1，超级管理员； 2，管理员；3，企业用户
	Phone         string      `orm:"phone,unique"    json:"phone"`           // 绑定手机
	Email         string      `orm:"email"           json:"email"`           // 电子邮件
	LastLoginTime *gtime.Time `orm:"last_login_time" json:"last_login_time"` // 最后一次登录时间
	UserState     string      `orm:"user_state"      json:"user_state"`      // 0，禁用，1，正常
	CreatedAt     *gtime.Time `orm:"created_at"      json:"created_at"`      // 创建时间
	UpdatedAt     *gtime.Time `orm:"updated_at"      json:"updated_at"`      // 更新时间
}
