package youngee_talent_model

import (
	"github.com/gogf/gf/util/gmeta"

	"github.com/gogf/gf/os/gtime"
)

type YounggeeProduct struct {
	gmeta.Meta    `orm:"table:younggee_product"`
	ProductId     int         `json:"product_id"`     // 商品id
	ProductName   string      `json:"product_name"`   // 商品名称
	ProductType   int         `json:"product_type"`   // 商品类型
	ShopAddress   string      `json:"shop_address"`   // 店铺地址，商品类型为线下品牌时需填写
	ProductPrice  int64       `json:"product_price"`  // 商品价值
	ProductDetail string      `json:"product_detail"` //
	ProductUrl    string      `json:"product_url"`    // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	EnterpriseId  int         `json:"enterprise_id"`  // 所属企业id
	CreatedAt     *gtime.Time `json:"created_at"`     // 创建时间
	UpdatedAt     *gtime.Time `json:"updated_at"`     // 更新时间
	BrandName     string      `json:"brand_name"`     //
}

type YounggeeProductPhoto struct {
	gmeta.Meta     `orm:"table:younggee_product_photo"`
	ProductPhotoId int         `json:"product_photo_id"`                          // 商品图片id
	PhotoUrl       string      `json:"photo_url"`                                 // 图片或视频url
	PhotoUid       string      `json:"photo_uid"`                                 //
	Symbol         int         `json:"symbol"`                                    // 图片为主图或详情图标志位，1为主图，2为详情图，3为视频
	ProductId      int         `json:"product_id"`                                // 所属商品id
	CreatedAt      *gtime.Time `orm:"created_at"               json:"created_at"` // 创建时间
}
