package youngee_talent_model

import (
	"github.com/gogf/gf/util/gmeta"

	"github.com/gogf/gf/os/gtime"
)

type ProductCoverInfo struct {
	gmeta.Meta    `orm:"table:younggee_product"`
	ProductId     int                   `json:"product_id"`
	ProductPrice  int64                 `json:"product_price"`
	ProductCovers *YounggeeProductPhoto `orm:"with:product_id=product_id, where:symbol=1"`
}

type ProjectInfo struct {
	gmeta.Meta       `orm:"table:project_info"`
	ProjectId        int                `json:"project_id"`       // 项目id
	ProjectName      string             `json:"project_name"`     // 项目名称
	ProjectStatus    int                `json:"project_status"`   // 项目状态，1-7分别代表创建中、待审核、招募中、待支付、失效、执行中、已结案
	ProjectPlatform  int                `json:"project_platform"` // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ProjectForm      int                `json:"project_form"`     // 项目形式，1-4分别代表实体商品寄拍、虚拟产品测评、线下探店打卡、素材微原创
	RecruitDdl       *gtime.Time        `json:"recruit_ddl"`      // 招募截止时间
	ContentType      int                `json:"content_type"`     // 内容形式，1代表图文，2代表视频
	ProjectDetail    string             `json:"project_detail"`   // 项目详情
	RecruitNum       int                `json:"recruit_num"`      //
	ApplyNum         int                `json:"apply_num"`        //
	EnterpriseId     int                `json:"enterprise_id"`    // 所属企业id
	ProductId        int                `json:"product_id"`       // 关联商品id
	ProductInfo      *ProductCoverInfo  `orm:"with:product_id=product_id"`
	RecruitStrategys []*RecruitStrategy `orm:"with:project_id=project_id"`
}

type ProjectInfoList struct {
	MaxPage      int `json:"max_page"`
	ProjectInfos []*ProjectInfo
}
