package youngee_talent_model

import "github.com/gogf/gf/util/gmeta"

type TalentDeliveryAddress struct {
	gmeta.Meta   `orm:"table:youngee_talent_delivery_address"`
	RegionCode   int    `json:"region_code"`   // 区域码，取info_region表中的self_code字段值
	DetailAddr   string `json:"detail_addr"`   // 详细地址
	PhoneNumber  string `json:"phone_number"`  // 联系电话
	ReceiverName string `json:"receiver_name"` // 收货人名字
	DefaultTag   int    `json:"default_tag"`   // 是否默认收货地址
	MailCode     string `json:"mail_code"`     // 邮政编码
	TalentId     string `json:"talent_id"`     // 达人id(youngee_talent_info表中的id)
}

type DeleteDeliveryAddress struct {
	gmeta.Meta `orm:"table:youngee_talent_delivery_address"`
	AddressId  int `json:"address_id"`
	DefaultTag int `json:"default_tag"`
}

type DeliveryAddressModifyReq struct {
	gmeta.Meta   `orm:"table:youngee_talent_delivery_address"`
	AddressId    int64  `json:"address_id"`    //
	RegionCode   int    `json:"region_code"`   // 区域码，取info_region表中的self_code字段值
	DetailAddr   string `json:"detail_addr"`   // 详细地址
	PhoneNumber  string `json:"phone_number"`  // 联系电话
	ReceiverName string `json:"receiver_name"` // 收货人名字
	MailCode     string `json:"mail_code"`     // 邮政编码
}
