package youngee_talent_model

import (
	"github.com/gogf/gf/util/gmeta"
)

// TalentSelfInputInfo 达人端用户输入的属性
type TalentSelfInputInfo struct {
	TalentWxNumber    string `json:"talent_wx_number"`    // 达人微信号
	TalentGender      int    `json:"talent_gender"`       // 性别，0未知 1男 2女
	TalentPhoneNumber string `json:"talent_phone_number"` // 电话号码
	TalentAgeBracket  int    `json:"talent_age_bracket"`  // 年龄段，取tallent_age_bracket表id
	TalentNationality int    `json:"talent_nationality"`  // 国籍，取tallent_nationality表id
	VisitStoreRegion  int    `json:"visit_store_region"`  // 探店区域，取region_info表中的self_code
	IsBindInfo        uint   `json:"is_bind_info"`        // 是否填写个人资料
}

type TalentInfo struct {
	gmeta.Meta        `orm:"table:youngee_talent_info"`
	Id                string `json:"id"`                  // 达人id
	TalentWxOpenid    string `json:"talent_wx_openid"`    // 达人的微信openid
	TalentWxNickname  string `json:"talent_wx_nickname"`  // 达人的微信昵称
	TalentWxNumber    string `json:"talent_wx_number"`    // 达人微信号
	Income            int64  `json:"income"`              // 收益总数
	Withdrawing       int64  `json:"withdrawing"`         // 提现中金额
	Canwithdraw       int64  `json:"canwithdraw"`         // 可提现金额
	Withdrawed        int64  `json:"withdrawed"`          // 已提现金额
	TalentGender      int    `json:"talent_gender"`       // 性别，0未知 1男 2女
	TalentPhoneNumber string `json:"talent_phone_number"` // 电话号码
	TalentAgeBracket  int    `json:"talent_age_bracket"`  // 年龄段，取tallent_age_bracket表id
	TalentNationality int    `json:"talent_nationality"`  // 国籍，取tallent_nationality表id
	VisitStoreRegion  int    `json:"visit_store_region"`  // 探店区域，取region_info表中的self_code
	IsBindInfo        uint   `json:"is_bind_info"`        // 是否填写个人资料
	IsBindLocation    uint   `json:"is_bind_location"`    // 是否绑定收货地址
	IsBindBank        uint   `json:"is_bind_bank"`        // 是否绑定银行账户信息
	InBlacklist       uint   `json:"in_blacklist"`        // 是否加入黑名单 0否 1是
	TaskAll           int    `json:"task_all"`            // 任务总数
	TaskApply         int    `json:"task_apply"`          // 报名任务数量
	TaskExecute       int    `json:"task_execute"`        // 执行中任务数量
	TaskEnd           int    `json:"task_end"`            // 结束任务数量
}
