package youngee_talent_model

import (
	"github.com/gogf/gf/util/gmeta"

	"github.com/gogf/gf/os/gtime"
)

type YoungeeTaskInfo struct {
	gmeta.Meta             `orm:"table:youngee_task_info"`
	TaskId                 uint64      `json:"task_id"`                   //
	ProjectId              int         `json:"project_id"`                // 任务id
	TalentId               string      `json:"talent_id"`                 // 达人id(youngee_talent_info表中的id)
	TalentPlatformInfoSnap string      `json:"talent_platform_info_snap"` // 达人平台信息快照
	TalentPersonalInfoSnap string      `json:"talent_personal_info_snap"` // 达人个人信息快照
	TalentPostAddrSnap     string      `json:"talent_post_addr_snap"`     // 收货地址快照
	StrategyId             int         `json:"strategy_id"`               // 报名选择的招募策略id
	TaskReward             int64       `json:"task_reward"`               // 任务奖励金额
	SettleAmount           int64       `json:"settle_amount"`             // 待结算金额（任务奖励扣除违规扣款）
	TaskStatus             int         `json:"task_status"`               // 任务状态
	CreateDate             *gtime.Time `json:"create_date"`               // 创建时间
	SelectDate             *gtime.Time `json:"select_date"`               // 反选时间
	CompleteStatus         int         `json:"complete_status"`           // 结束方式 1未结束 2正常结束 3反选失败 4被解约
	CompleteDate           *gtime.Time `json:"complete_date"`             // 结束时间
}
